//HKU App CSS and Utilities 1.5.1

//HKU App version
var hkuapp_version = "2.3";

//URL
var BaseURL = "http://m.hku.hk/mobile-app/";
var UpdateSessionURL = "http://m.hku.hk/mobile-app/UpdateSession";
var LogoutURL = "https://hkuportal.hku.hk/cas/mobilelogout";

//Error Message
var NetworkErrorMessage = "HKU App has detected there is NO Network Connection. Please check your network status.";

//utilities functions
function showHeader(title, backURL) {

	var header = document.getElementById("header");

	if(typeof backURL === "undefined")
		backURL = "javascript:goBack();";

	var html = '<div class="hiddentext" role="heading">'+title+'</div>'
			 + '<table id="headertable">'
			 + '<tr>'
			 + '<td style="width:50px;"><a id="backBtn" role="button" href="'+backURL+'"><img src="'+BaseURL+'images/back_g_2.png" class="nav_button" alt="Go back button" /></a></td>'
			 + '<td><a aria-hidden="true" style="text-decoration:none;color:white;" href="#">'+title+'</a></td>'
			 + '<td style="width:50px;"><a id="homeBtn" role="button" href="javascript:goHome();"><img src="'+BaseURL+'images/hku_g_2.png" class="nav_button" alt="HKU home button" /></a></td>'
			 + '</tr>'
			 + '</table>';

	header.innerHTML = html;

	header.style.display = "block";

	if(document.getElementById("headertable").clientWidth > window.innerWidth && window.innerWidth > 0) {
		showHeader(title.substr(0, title.length-4)+"...", backURL);
	}

	document.getElementById("content").style.paddingTop = "45px";
}

function goHome() {
	window.location = BaseURL;
}

function goBack() {
	if(window.history.length > 0)
		window.history.go(-1);
}

function isiPad() {
	if(navigator.userAgent.indexOf("iPad") >= 0)
		return true;

	return false;
}

function isiPhone() {
	if(navigator.userAgent.indexOf("iPhone") >= 0)
		return true;

	return false;
}

function isiPod() {
	if(navigator.userAgent.indexOf("iPod") >= 0)
		return true;

	return false;
}

function isiOS() {
	return isiPad() || isiPhone() || isiPod();
}

function isAndroid() {
	if(navigator.userAgent.indexOf("Android") >= 0)
		return true;

	return false;
}

function isWindowsPhone() {
	if(navigator.userAgent.indexOf("Windows Phone") >= 0)
		return true;

	return false;
}

function isNativeApp() {
	if(isAndroid() && navigator.userAgent.indexOf("HKU Mobile Native App") >= 0)
		return true;
	else if(isiPad() && navigator.userAgent.indexOf("Version") < 0)
		return true;
	else if(isiPhone() && navigator.userAgent.indexOf("Version") < 0)
		return true;
	else if(isiPod() && navigator.userAgent.indexOf("Version") < 0)
		return true;
	else if(isWindowsPhone() && getURLParameter("_HKUNATIVEAPP"))
		return true;

	return false;
}

//get query string parameter values
function getURLParameter(key) {
	var q_str = window.location.href.split("?");
	if(q_str.length == 1)
		return false;

	var paras = q_str[1].split("&");

	for(var i=0; i<paras.length; i++) {
		var para = paras[i].split("=");
		if(para[0] == key)
			return para[1];
	}

	return false;
}

//launch item with a new title
function launchNewTitle(title, link) {
	var url = link;

	if(isNativeApp()) {
		if(isAndroid()) {
			title = title.replace(" ", "+");
			url = "navbar://?title="+title+"&URL="+link;
		}
		else if(isiPad() || isiPhone() || isiPod()) {
			url = "navbar://?Title="+title+"+URL="+link;
		}
		else if(isWindowsPhone()) {
			title = title.replace(" ", "+");
			url = "navbar://?title="+title+"&URL="+link;
		}
	}

	window.location = url;
}

function isLandscape() {
	if(window.innerWidth >= window.innerHeight)
		return true;

	return false;
}

function isPortairt() {
	if(window.innerWidth < window.innerHeight)
		return true;

	return false;
}

function launchItem(item, link) {
	//createActivityLog("launch", item);

	window.location = link;
}
